aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKousik Kumar <kousikk@google.com>2021-01-08 20:52:02 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2021-01-08 20:52:02 +0000
commite003797db10b1052d682bff292c8f727b9579d90 (patch)
tree7d4b8579d117a48f0b53dc8b04fdd83f4a123343
parent04a80cd736b69c8419ca43fb939ff54773dc78c2 (diff)
parent43889572ff7f8166a6c2d6e3eeca32a25602c199 (diff)
downloadbuild-e003797db10b1052d682bff292c8f727b9579d90.tar.gz
resolve merge conflicts of 0afd707045b10cac440878032a01a43512840a47 to rvc-dev am: 43889572ff
Original change: https://googleplex-android-review.googlesource.com/c/platform/build/+/13298010 MUST ONLY BE SUBMITTED BY AUTOMERGER Change-Id: I971af20ac2acf73f18c4a63db7363d3c86f0797a
-rw-r--r--rbesetup.sh31
1 files changed, 29 insertions, 2 deletions
diff --git a/rbesetup.sh b/rbesetup.sh
index 25a1703075..3ce7dbd901 100644
--- a/rbesetup.sh
+++ b/rbesetup.sh
@@ -1,4 +1,31 @@
-source build/envsetup.sh
+function _source_env_setup_script() {
+ local -r ENV_SETUP_SCRIPT="build/make/envsetup.sh"
+ local -r TOP_DIR=$(
+ while [[ ! -f "${ENV_SETUP_SCRIPT}" ]] && [[ "${PWD}" != "/" ]]; do
+ \cd ..
+ done
+ if [[ -f "${ENV_SETUP_SCRIPT}" ]]; then
+ echo "$(PWD= /bin/pwd -P)"
+ fi
+ )
+
+ local -r FULL_PATH_ENV_SETUP_SCRIPT="${TOP_DIR}/${ENV_SETUP_SCRIPT}"
+ if [[ ! -f "${FULL_PATH_ENV_SETUP_SCRIPT}" ]]; then
+ echo "ERROR: Unable to source ${ENV_SETUP_SCRIPT}"
+ return 1
+ fi
+
+ # Need to change directory to the repo root so vendor scripts can be sourced
+ # as well.
+ local -r CUR_DIR=$PWD
+ \cd "${TOP_DIR}"
+ source "${FULL_PATH_ENV_SETUP_SCRIPT}"
+ \cd "${CUR_DIR}"
+}
+
+# This function needs to run first as the remaining defining functions may be
+# using the envsetup.sh defined functions.
+_source_env_setup_script || return
# This function prefixes the given command with appropriate variables needed
# for the build to be executed with RBE.
@@ -28,7 +55,7 @@ function use_rbe() {
# ANDROID_ENABLE_METRICS_UPLOAD.
function _export_metrics_uploader() {
local uploader_path="$(gettop)/vendor/google/misc/metrics_uploader_prebuilt/metrics_uploader.sh"
- if [ -x "${uploader_path}" ]; then
+ if [[ -x "${uploader_path}" ]]; then
export ANDROID_ENABLE_METRICS_UPLOAD="${uploader_path}"
fi
}